<?xml version="1.0" encoding="UTF-8"?>
<HADJBONUS desc_thai="ทะเบียนประวัติการปรับตำแหน่ง" desc_eng="ADJUST POSITION" editcheck="true" mainhelp="HADJBONUSHELP" referhelp="HADJBONUSHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" config_field="MEMPLOYEE_CONFIG">
<FIELD>
           <EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
             <RELATION>MEMPLOYEE</RELATION>
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<GROUP>import</GROUP>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		  <COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<GROUP>import</GROUP>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<READONLY>TRUE</READONLY>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
	</COMPANYID>
	<LINE_NO lang="E" encrypt="false" log="false" type="Integer">
		<KEY>3</KEY>
		<WIDTH>3</WIDTH>
		<DESC_ENG>LINE_NO </DESC_ENG>
		<DESC_THAI>LINE_NO</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>3</MAXSIZE>
			<SIZE>3</SIZE>
			<ALT_THAI>LINE_NO</ALT_THAI>
			<ALT_ENG>LINE_NO </ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
	</LINE_NO>
	<SALARY lang="A" encrypt="false" log="false" type="Double">
		<WIDTH>25</WIDTH>
		<DESC_ENG>Salary</DESC_ENG>
		<DESC_THAI>เงินเดือนปัจจุบัน</DESC_THAI>
		<SALARY>true</SALARY>
		<COMPONENT type="text">
			<VALUE>0.00</VALUE>
			<MAXSIZE>25</MAXSIZE>
			<SIZE>15</SIZE>
			<ALT_ENG>Salary</ALT_ENG>
			<ALT_THAI>เงินเดือนปัจจุบัน</ALT_THAI>
			<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
		</COMPONENT>
	</SALARY>
	<AMOUNT lang="A" encrypt="false" log="false" type="Double">
		<WIDTH>10</WIDTH>
		<DESC_ENG>Amount</DESC_ENG>
		<DESC_THAI>จำนวนที่ปรับ</DESC_THAI>
		<SALARY>true</SALARY>
		<COMPONENT type="text">
			<VALUE>0.00</VALUE>
			<MAXSIZE>10</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_ENG>Amount</ALT_ENG>
			<ALT_THAI>จำนวนที่ปรับ</ALT_THAI>
			<ONBLUR>chkPerOrMoneyListBox(this,__bonus_unit);</ONBLUR>
			<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS> 
			<ONKEYUP>checkComma(this,2);</ONKEYUP> 
			<ONFOCUS>callDelComma(this);</ONFOCUS> 

		</COMPONENT>
	</AMOUNT>
	<BONUS_UNIT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Unit</DESC_ENG>
			<DESC_THAI>หน่วยที่ปรับ</DESC_THAI>
			<SALARY>true</SALARY>
			<COMPONENT type="list">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Unit</ALT_ENG>
				<ALT_THAI>หน่วยที่ปรับ</ALT_THAI>
				<VALIDCODE>bonus_unit</VALIDCODE>
				<VALIDCODE>bonus_unit</VALIDCODE>
				<ONCHANGE>chkPerOrMoneyListBox(__amount,this);</ONCHANGE>
			</COMPONENT>
	</BONUS_UNIT>
	<ADJ_DATE lang="E" encrypt="false" log="false" type="Date">
		<WIDTH>8</WIDTH>
		<DESC_ENG>Adjust date </DESC_ENG>
		<DESC_THAI>วันที่ปรับ</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>8</MAXSIZE>
			<SIZE>8</SIZE>
			<ALT_THAI>วันที่ปรับ</ALT_THAI>
			<ALT_ENG>Adjust date </ALT_ENG>
		</COMPONENT>
	</ADJ_DATE>
    <ADJ_TYPE lang="E" encrypt="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>Adjust type </DESC_ENG>
		<DESC_THAI>ประเภทการปรับ</DESC_THAI>
		<COMPONENT type="list">
			<MAXSIZE>1</MAXSIZE>
			<SIZE>1</SIZE>
			<VALIDCODE>adj_bonus_type</VALIDCODE>
			<ALT_THAI>ประเภทการปรับ</ALT_THAI>
			<ALT_ENG>Adjust type </ALT_ENG>
		</COMPONENT>
	</ADJ_TYPE>
	 <ADJ_BY lang="E" encrypt="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>Adjust type </DESC_ENG>
		<DESC_THAI>ประเภทปรับ</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>1</MAXSIZE>
			<SIZE>1</SIZE>
			<ALT_THAI>ประเภทปรับ</ALT_THAI>
			<ALT_ENG>Adjust type </ALT_ENG>
		</COMPONENT>
	</ADJ_BY>
    <ADJ_REMARK lang="A" encrypt="false" log="false" type="String">
		<WIDTH>250</WIDTH>
		<DESC_ENG>Adjust remark </DESC_ENG>
		<DESC_THAI>หมายเหตุ</DESC_THAI>
		<COMPONENT type="textarea">
			<SIZECHAR>50</SIZECHAR>
			<LINES>5</LINES>
			<ALT_THAI>หมายเหตุ</ALT_THAI>
			<ALT_ENG>Adjust remark </ALT_ENG>
		</COMPONENT>
	</ADJ_REMARK>
       <JOB lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MJOBCODE</RELATION>
			<DESC_ENG>Job Code</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Job Code</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
	</JOB>
       <BOSSID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานที่เป็นหัวหน้า</DESC_THAI>
			<SALARY>true</SALARY>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานที่เป็นหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
		<EMP_POSITION lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPOSITION</RELATION>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMP_POSITION>
          <EMP_GROUP lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MGROUP</RELATION>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<BRANCH lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</BRANCH>
		<WORKAREA lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MWORKAREA</RELATION>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<EMP_TYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Employee Type</DESC_ENG>
			<DESC_THAI>ประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<VALUE>1</VALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Employee Type</ALT_ENG>
				<ALT_THAI>ประเภทพนักงาน</ALT_THAI>
				<VALIDCODE>EMPTYPE</VALIDCODE>
			</COMPONENT>
		</EMP_TYPE>
           <BU1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>หน่วยงานที่ 1</ALT_THAI>
				<ALT_ENG>Business Unit 1</ALT_ENG>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>หน่วยงานที่ 2</ALT_THAI>
				<ALT_ENG>Business Unit 2</ALT_ENG>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>หน่วยงานที่ 3</ALT_THAI>
				<ALT_ENG>Business Unit 3</ALT_ENG>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>หน่วยงานที่ 4</ALT_THAI>
				<ALT_ENG>Business Unit 4</ALT_ENG>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>หน่วยงานที่ 5</ALT_THAI>
				<ALT_ENG>Business Unit 5</ALT_ENG>
			</COMPONENT>
		</BU5>
	</FIELD>
	<RELATION>
	</RELATION>
</HADJBONUS>
